﻿2026-09-11T10:08:23.0465788Z ##[group]Run dtolnay/rust-toolchain@stable
2026-09-11T10:08:23.0466470Z with:
2026-09-11T10:08:23.0466866Z   components: rustfmt, clippy
2026-09-11T10:08:23.0467357Z   toolchain: stable
2026-09-11T10:08:23.0467764Z ##[endgroup]
2026-09-11T10:08:23.0532383Z ##[start-action display=Parse toolchain version;id=__dtolnay_rust-toolchain.parse]
2026-09-11T10:08:23.0587388Z ##[group]Run if [[ -z $toolchain ]]; then
2026-09-11T10:08:23.0588435Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-09-11T10:08:23.0589642Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-09-11T10:08:23.0590853Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-09-11T10:08:23.0591477Z [36;1m  exit 1[0m
2026-09-11T10:08:23.0592180Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-09-11T10:08:23.0593125Z [36;1m  if [[ Linux == macOS ]]; then[0m
2026-09-11T10:08:23.0594267Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-09-11T10:08:23.0595465Z [36;1m  else[0m
2026-09-11T10:08:23.0596331Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-09-11T10:08:23.0597337Z [36;1m  fi[0m
2026-09-11T10:08:23.0598145Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-09-11T10:08:23.0599391Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-09-11T10:08:23.0600425Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-09-11T10:08:23.0601623Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-09-11T10:08:23.0602798Z [36;1melse[0m
2026-09-11T10:08:23.0603328Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-09-11T10:08:23.0603986Z [36;1mfi[0m
2026-09-11T10:08:23.0630856Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:23.0631578Z env:
2026-09-11T10:08:23.0631928Z   toolchain: stable
2026-09-11T10:08:23.0632321Z ##[endgroup]
2026-09-11T10:08:23.0728117Z ##[end-action id=__dtolnay_rust-toolchain.parse;outcome=success;conclusion=success;duration_ms=19]
2026-09-11T10:08:23.0739903Z ##[start-action display=Construct rustup command line;id=__dtolnay_rust-toolchain.flags]
2026-09-11T10:08:23.0774735Z ##[group]Run echo "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT
2026-09-11T10:08:23.0776199Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-09-11T10:08:23.0777661Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-09-11T10:08:23.0778924Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-09-11T10:08:23.0799550Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:23.0800553Z env:
2026-09-11T10:08:23.0801012Z   targets: 
2026-09-11T10:08:23.0801505Z   components: rustfmt, clippy
2026-09-11T10:08:23.0802079Z ##[endgroup]
2026-09-11T10:08:23.0856343Z ##[end-action id=__dtolnay_rust-toolchain.flags;outcome=success;conclusion=success;duration_ms=11]
2026-09-11T10:08:23.0860288Z ##[start-action display=Set $CARGO_HOME;id=__dtolnay_rust-toolchain.__run]
2026-09-11T10:08:23.0886179Z ##[group]Run echo CARGO_HOME=${CARGO_HOME:-"$HOME/.cargo"} >> $GITHUB_ENV
2026-09-11T10:08:23.0887323Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$HOME/.cargo"} >> $GITHUB_ENV[0m
2026-09-11T10:08:23.0904457Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:23.0905181Z ##[endgroup]
2026-09-11T10:08:23.0951946Z ##[end-action id=__dtolnay_rust-toolchain.__run;outcome=success;conclusion=success;duration_ms=9]
2026-09-11T10:08:23.0955583Z ##[start-action display=Install rustup if needed;id=__dtolnay_rust-toolchain.__run_2]
2026-09-11T10:08:23.0987623Z ##[group]Run if ! command -v rustup &>/dev/null; then
2026-09-11T10:08:23.0988670Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-09-11T10:08:23.0990330Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://sh.rustup.rs | sh -s -- --default-toolchain none -y[0m
2026-09-11T10:08:23.0992076Z [36;1m  echo "$CARGO_HOME/bin" >> $GITHUB_PATH[0m
2026-09-11T10:08:23.0992712Z [36;1mfi[0m
2026-09-11T10:08:23.1009703Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:23.1010437Z env:
2026-09-11T10:08:23.1010853Z   CARGO_HOME: /home/runner/.cargo
2026-09-11T10:08:23.1011378Z ##[endgroup]
2026-09-11T10:08:23.1055112Z ##[end-action id=__dtolnay_rust-toolchain.__run_2;outcome=success;conclusion=success;duration_ms=9]
2026-09-11T10:08:23.1059156Z ##[start-action display=Install rustup if needed on windows;id=__dtolnay_rust-toolchain.__run_3]
2026-09-11T10:08:23.1067311Z ##[end-action id=__dtolnay_rust-toolchain.__run_3;outcome=skipped;conclusion=skipped;duration_ms=0]
2026-09-11T10:08:23.1078376Z ##[start-action display=rustup toolchain install stable;id=__dtolnay_rust-toolchain.__run_4]
2026-09-11T10:08:23.1104590Z ##[group]Run rustup toolchain install stable --component rustfmt --component clippy --profile minimal --no-self-update
2026-09-11T10:08:23.1106442Z [36;1mrustup toolchain install stable --component rustfmt --component clippy --profile minimal --no-self-update[0m
2026-09-11T10:08:23.1124161Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:23.1124856Z env:
2026-09-11T10:08:23.1125246Z   CARGO_HOME: /home/runner/.cargo
2026-09-11T10:08:23.1125786Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-09-11T10:08:23.1126278Z ##[endgroup]
2026-09-11T10:08:23.7548521Z info: syncing channel updates for stable-x86_64-unknown-linux-gnu
2026-09-11T10:08:24.1580881Z info: latest update on 2026-09-03 for version 1.98.1 (48a229cea 2026-09-01)
2026-09-11T10:08:24.1843594Z info: component clippy is up to date
2026-09-11T10:08:24.1859047Z info: component rustfmt is up to date
2026-09-11T10:08:24.1866874Z 
2026-09-11T10:08:24.1963035Z   stable-x86_64-unknown-linux-gnu unchanged - rustc 1.98.1 (48a229cea 2026-09-01)
2026-09-11T10:08:24.1965551Z 
2026-09-11T10:08:24.3126405Z ##[end-action id=__dtolnay_rust-toolchain.__run_4;outcome=success;conclusion=success;duration_ms=1204]
2026-09-11T10:08:24.3132051Z ##[start-action display=rustup default stable;id=__dtolnay_rust-toolchain.__run_5]
2026-09-11T10:08:24.3152379Z ##[group]Run rustup default stable
2026-09-11T10:08:24.3152667Z [36;1mrustup default stable[0m
2026-09-11T10:08:24.3171481Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:24.3171758Z env:
2026-09-11T10:08:24.3171922Z   CARGO_HOME: /home/runner/.cargo
2026-09-11T10:08:24.3172114Z ##[endgroup]
2026-09-11T10:08:24.3242509Z info: using existing install for stable-x86_64-unknown-linux-gnu
2026-09-11T10:08:24.3259028Z info: default toolchain set to stable-x86_64-unknown-linux-gnu
2026-09-11T10:08:24.3259373Z 
2026-09-11T10:08:24.3335411Z   stable-x86_64-unknown-linux-gnu unchanged - rustc 1.98.1 (48a229cea 2026-09-01)
2026-09-11T10:08:24.3338955Z 
2026-09-11T10:08:24.3349877Z ##[end-action id=__dtolnay_rust-toolchain.__run_5;outcome=success;conclusion=success;duration_ms=21]
2026-09-11T10:08:24.3351878Z ##[start-action display=Create cachekey;id=__dtolnay_rust-toolchain.rustc-version]
2026-09-11T10:08:24.3371466Z ##[group]Run DATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')
2026-09-11T10:08:24.3372038Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-09-11T10:08:24.3372494Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-09-11T10:08:24.3372846Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-09-11T10:08:24.3388712Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:24.3389158Z env:
2026-09-11T10:08:24.3389322Z   CARGO_HOME: /home/runner/.cargo
2026-09-11T10:08:24.3389510Z ##[endgroup]
2026-09-11T10:08:24.3686609Z ##[end-action id=__dtolnay_rust-toolchain.rustc-version;outcome=success;conclusion=success;duration_ms=33]
2026-09-11T10:08:24.3689039Z ##[start-action display=Disable incremental compilation;id=__dtolnay_rust-toolchain.__run_6]
2026-09-11T10:08:24.3706536Z ##[group]Run if [ -z "${CARGO_INCREMENTAL+set}" ]; then
2026-09-11T10:08:24.3706853Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-09-11T10:08:24.3707094Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-09-11T10:08:24.3707362Z [36;1mfi[0m
2026-09-11T10:08:24.3724359Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:24.3724628Z env:
2026-09-11T10:08:24.3724795Z   CARGO_HOME: /home/runner/.cargo
2026-09-11T10:08:24.3724985Z ##[endgroup]
2026-09-11T10:08:24.3761453Z ##[end-action id=__dtolnay_rust-toolchain.__run_6;outcome=success;conclusion=success;duration_ms=7]
2026-09-11T10:08:24.3763254Z ##[start-action display=Enable colors in Cargo output;id=__dtolnay_rust-toolchain.__run_7]
2026-09-11T10:08:24.3779989Z ##[group]Run if [ -z "${CARGO_TERM_COLOR+set}" ]; then
2026-09-11T10:08:24.3780279Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-09-11T10:08:24.3780520Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-09-11T10:08:24.3780737Z [36;1mfi[0m
2026-09-11T10:08:24.3795867Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:24.3796121Z env:
2026-09-11T10:08:24.3796279Z   CARGO_HOME: /home/runner/.cargo
2026-09-11T10:08:24.3796472Z   CARGO_INCREMENTAL: 0
2026-09-11T10:08:24.3796638Z ##[endgroup]
2026-09-11T10:08:24.3829220Z ##[end-action id=__dtolnay_rust-toolchain.__run_7;outcome=success;conclusion=success;duration_ms=6]
2026-09-11T10:08:24.3830901Z ##[start-action display=Enable Cargo sparse registry;id=__dtolnay_rust-toolchain.__run_8]
2026-09-11T10:08:24.3848888Z ##[group]Run # implemented in 1.66, stabilized in 1.68, made default in 1.70
2026-09-11T10:08:24.3849381Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-09-11T10:08:24.3849858Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-09-11T10:08:24.3850335Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-09-11T10:08:24.3850714Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-09-11T10:08:24.3851071Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-09-11T10:08:24.3851408Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-09-11T10:08:24.3851793Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-09-11T10:08:24.3852136Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-09-11T10:08:24.3852401Z [36;1m  fi[0m
2026-09-11T10:08:24.3852555Z [36;1mfi[0m
2026-09-11T10:08:24.3866385Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:24.3866636Z env:
2026-09-11T10:08:24.3866796Z   CARGO_HOME: /home/runner/.cargo
2026-09-11T10:08:24.3866989Z   CARGO_INCREMENTAL: 0
2026-09-11T10:08:24.3867161Z   CARGO_TERM_COLOR: always
2026-09-11T10:08:24.3867336Z ##[endgroup]
2026-09-11T10:08:24.4113836Z ##[end-action id=__dtolnay_rust-toolchain.__run_8;outcome=success;conclusion=success;duration_ms=28]
2026-09-11T10:08:24.4115780Z ##[start-action display=Work around spurious network errors in curl 8.0;id=__dtolnay_rust-toolchain.__run_9]
2026-09-11T10:08:24.4133817Z ##[group]Run # https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation
2026-09-11T10:08:24.4134425Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-09-11T10:08:24.4134995Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-09-11T10:08:24.4135340Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-09-11T10:08:24.4135570Z [36;1mfi[0m
2026-09-11T10:08:24.4150963Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:24.4151227Z env:
2026-09-11T10:08:24.4151413Z   CARGO_HOME: /home/runner/.cargo
2026-09-11T10:08:24.4151612Z   CARGO_INCREMENTAL: 0
2026-09-11T10:08:24.4151784Z   CARGO_TERM_COLOR: always
2026-09-11T10:08:24.4151957Z ##[endgroup]
2026-09-11T10:08:24.4286914Z ##[end-action id=__dtolnay_rust-toolchain.__run_9;outcome=success;conclusion=success;duration_ms=17]
2026-09-11T10:08:24.4290450Z ##[start-action display=rustc +stable --version --verbose;id=__dtolnay_rust-toolchain.__run_10]
2026-09-11T10:08:24.4306876Z ##[group]Run rustc +stable --version --verbose
2026-09-11T10:08:24.4307150Z [36;1mrustc +stable --version --verbose[0m
2026-09-11T10:08:24.4322695Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-09-11T10:08:24.4322983Z env:
2026-09-11T10:08:24.4323148Z   CARGO_HOME: /home/runner/.cargo
2026-09-11T10:08:24.4323339Z   CARGO_INCREMENTAL: 0
2026-09-11T10:08:24.4323508Z   CARGO_TERM_COLOR: always
2026-09-11T10:08:24.4323678Z ##[endgroup]
2026-09-11T10:08:24.4444719Z rustc 1.98.1 (48a229cea 2026-09-01)
2026-09-11T10:08:24.4445501Z binary: rustc
2026-09-11T10:08:24.4446162Z commit-hash: 48a229ceaefd4985c50990b14116b6d856af0985
2026-09-11T10:08:24.4446658Z commit-date: 2026-09-01
2026-09-11T10:08:24.4447319Z host: x86_64-unknown-linux-gnu
2026-09-11T10:08:24.4447818Z release: 1.98.1
2026-09-11T10:08:24.4448899Z LLVM version: 22.1.8
2026-09-11T10:08:24.4456198Z ##[end-action id=__dtolnay_rust-toolchain.__run_10;outcome=success;conclusion=success;duration_ms=16]
